#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kbfxlib/common
  ${CMAKE_SOURCE_DIR}/kbfxlib/data
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kbfxlib/common
  ${CMAKE_BINARY_DIR}/kbfxlib/data
)


##### kbfxconfigapp (executable) ################

tde_add_executable( kbfxconfigapp AUTOMOC
  SOURCES main.cpp kbfxconfigapp.cpp kbfxthemeinfo.ui
          kbfxconfigdlgbutton.ui kbfxconfigdlgmain.ui
          kbfxconfigdlgthemes.ui kbfxconfigdlgabout.ui
          kbfxconfigdlgstyle.ui kbfxconfigdlgtooltip.ui
          kbfxconfigdlgfonts-old.ui kbfxconfigdlgplugins.ui
          kbfxconfigdlglayout.ui
  LINK ${TQT_LIBRARIES} kbfxdata kbfxcommon kdecore-shared kdeui-shared DCOP-shared kio-shared khtml-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### configuration files #######################

INSTALL(FILES kbfxconfigappui.rc DESTINATION ${DATA_INSTALL_DIR}/kbfxconfigapp)


##### desktop files #############################

INSTALL(FILES kbfxconfigapp.desktop kbfx_theme.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
INSTALL(FILES kbfx_install_theme.desktop kbfx_prepare_theme.desktop DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus)
INSTALL(FILES x-kbfxtheme.desktop DESTINATION ${MIME_INSTALL_DIR}/application)
